Bug 1461146 (CVE-2017-3075, CVE-2017-3076, CVE-2017-3077, CVE-2017-3078, CVE-2017-3079, CVE-2017-3081, CVE-2017-3082, CVE-2017-3083, CVE-2017-3084) - CVE-2017-3075 CVE-2017-3076 CVE-2017-3077 CVE-2017-3078 CVE-2017-3079 CVE-2017-3081 CVE-2017-3082 CVE-2017-3083 CVE-2017-3084 flash-plugin: multiple code execution issues fixed in APSB17-17
Summary: CVE-2017-3075 CVE-2017-3076 CVE-2017-3077 CVE-2017-3078 CVE-2017-3079 CVE-201...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-3075, CVE-2017-3076, CVE-2017-3077, CVE-2017-3078, CVE-2017-3079, CVE-2017-3081, CVE-2017-3082, CVE-2017-3083, CVE-2017-3084
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20170613,repor...
Depends On: 1461149 1461150
Blocks: 1461148
TreeView+ depends on / blocked
 
Reported: 2017-06-13 16:28 UTC by Tomas Hoger
Modified: 2019-06-08 22:04 UTC (History)
1 user (show)

Fixed In Version: flash-plugin 26.0.0.126
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-13 21:14:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1439 normal SHIPPED_LIVE Critical: flash-plugin security update 2017-06-14 00:37:03 UTC

Description Tomas Hoger 2017-06-13 16:28:45 UTC
Adobe Security Bulletin APSB17-17 for Adobe Flash Player describes multiple flaws that can possibly lead to code execution when Flash Player is used to play a specially crafted SWF file.

Quoting from the APSB17-17:

* Use After Free issues that can possibly lead to Remote Code Execution - CVE-2017-3075, CVE-2017-3081, CVE-2017-3083, CVE-2017-3084

* Memory Corruption issues that can possibly lead to Remote Code Execution - CVE-2017-3076, CVE-2017-3077, CVE-2017-3078, CVE-2017-3079, CVE-2017-3082

External References:

https://helpx.adobe.com/security/products/flash-player/apsb17-17.html

Comment 2 errata-xmlrpc 2017-06-13 20:37:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1439 https://access.redhat.com/errata/RHSA-2017:1439


Note You need to log in before you can comment on or make changes to this bug.